#ifndef KTIPLABEL_H
#define KTIPLABEL_H

#include <QLabel>

class KTipLabel : public QLabel
{
    Q_OBJECT
public:
    KTipLabel(QWidget *parent = nullptr);
    KTipLabel(QString strText, QWidget *parent = nullptr);
    QString getElidedText(QFont font,int width,QString strInfo);
public slots:
    void setText(const QString &);
//    void setKToolTip(const QString text);
protected:
    void paintEvent(QPaintEvent *event);
    //bool eventFilter(QObject *obj, QEvent *event);
private:
    QString m_strText;

};

#endif // KTIPLABEL_H
